export PATH := $(HOME)/.cargo/bin/:$(PATH)

test_cpp_out: always
	@echo "Planschbecken" | ./../cpp_out/target/x86_64-unknown-linux-gnu/release/cpp_out --name Dino -o "Test_Planschbecken.cpp"
	@echo "Planschbecken" | ./../cpp_out/target/x86_64-unknown-linux-gnu/release/cpp_out --name Dino -o "Test_Planschbecken.hpp"

test_psxfileconv: always
#	@./../psxfileconv/target/x86_64-unknown-linux-musl/release/psxfileconv -o Test_Planschi.bin Test_PNG.PNG simple-tim full16
	@./../psxfileconv/target/x86_64-unknown-linux-gnu/release/psxfileconv --lz4 -o Test_Planschi.bin ../../Library/ressources/Splash.PNG simple-tim full16
always: ;